// TODO:
// https://gitlab.com/webksde/drupal/webksdct/issues/7

// Responsive vertical spaces via css variables
:root{
  --space-xxs: #{map-get($spaces, xxs)};
  --space-xs: #{map-get($spaces, xs)};
  --space-sm: #{map-get($spaces, sm)};
  --space-md: #{map-get($spaces, md)};
  --space-lg: #{map-get($spaces, lg)};
  --space-xl: #{map-get($spaces, xl)};
  --space-xxl: #{map-get($spaces, xxl)};

  --space-v-xxs: #{map-get($spaces-v, xxs)};
  --space-v-xs: #{map-get($spaces-v, xs)};
  --space-v-sm: #{map-get($spaces-v, sm)};
  --space-v-md: #{map-get($spaces-v, md)};
  --space-v-lg: #{map-get($spaces-v, lg)};
  --space-v-xl: #{map-get($spaces-v, xl)};
  --space-v-xxl: #{map-get($spaces-v, xxl)};

  --space-h-xxs: #{map-get($spaces-h, xxs)};
  --space-h-xs: #{map-get($spaces-h, xs)};
  --space-h-sm: #{map-get($spaces-h, sm)};
  --space-h-md: #{map-get($spaces-h, md)};
  --space-h-lg: #{map-get($spaces-h, lg)};
  --space-h-xl: #{map-get($spaces-h, xl)};
  --space-h-xxl: #{map-get($spaces-h, xxl)};

  @include breakpoint(large down){
    // Switch values down by one size (except the smallest ones)
    --space-md: #{map-get($spaces, sm)};
    --space-lg: #{map-get($spaces, md)};
    --space-xl: #{map-get($spaces, lg)};
    --space-xxl: #{map-get($spaces, xl)};

    --space-v-md: #{map-get($spaces-v, sm)};
    --space-v-lg: #{map-get($spaces-v, md)};
    --space-v-xl: #{map-get($spaces-v, lg)};
    --space-v-xxl: #{map-get($spaces-v, xl)};

    --space-h-md: #{map-get($spaces-h, sm)};
    --space-h-lg: #{map-get($spaces-h, md)};
    --space-h-xl: #{map-get($spaces-h, lg)};
    --space-h-xxl: #{map-get($spaces-h, xl)};
  }
}

// Default Spacings
// -- Margins
.mt{
  &-xxs {
    margin-top: var(--space-v-xxs);
  }
  &-xs {
    margin-top: var(--space-v-xs);
  }
  &-sm {
    margin-top: var(--space-v-sm);
  }
  &-md {
    margin-top: var(--space-v-md);
  }
  &-lg {
    margin-top: var(--space-v-lg);
  }
  &-xl {
    margin-top: var(--space-v-xl);
  }
  &-xxl {
    margin-top: var(--space-v-xxl);
  }
  &-none{
    margin-top:0;
  }
}
.mb{
  &-xxs {
    margin-bottom: var(--space-v-xxs);
  }
  &-xs {
    margin-bottom: var(--space-v-xs);
  }
  &-sm {
    margin-bottom: var(--space-v-sm);
  }
  &-md {
    margin-bottom: var(--space-v-md);
  }
  &-lg {
    margin-bottom: var(--space-v-lg);
  }
  &-xl {
    margin-bottom: var(--space-v-xl);
  }
  &-xxl {
    margin-bottom: var(--space-v-xxl);
  }
  &-none{
    margin-bottom:0;
  }
}
.ml{
  &-xxs {
    margin-left: var(--space-h-xxs);
  }
  &-xs {
    margin-left: var(--space-h-xs);
  }
  &-sm {
    margin-left: var(--space-h-sm);
  }
  &-md {
    margin-left: var(--space-h-md);
  }
  &-lg {
    margin-left: var(--space-h-lg);
  }
  &-xl {
    margin-left: var(--space-h-xl);
  }
  &-xxl {
    margin-left: var(--space-h-xxl);
  }
  &-none{
    margin-left:0;
  }
}
.mr{
  &-xxs {
    margin-right: var(--space-h-xxs);
  }
  &-xs {
    margin-right: var(--space-h-xs);
  }
  &-sm {
    margin-right: var(--space-h-sm);
  }
  &-md {
    margin-right: var(--space-h-md);
  }
  &-lg {
    margin-right: var(--space-h-lg);
  }
  &-xl {
    margin-right: var(--space-h-xl);
  }
  &-xxl {
    margin-right: var(--space-h-xxl);
  }
  &-none{
    margin-right:0;
  }
}
// -- Paddings
.pt{
  &-xxs {
    padding-top: var(--space-v-xxs);
  }
  &-xs {
    padding-top: var(--space-v-xs);
  }
  &-sm {
    padding-top: var(--space-v-sm);
  }
  &-md {
    padding-top: var(--space-v-md);
  }
  &-lg {
    padding-top: var(--space-v-lg);
  }
  &-xl {
    padding-top: var(--space-v-xl);
  }
  &-xxl {
    padding-top: var(--space-v-xxl);
  }
  &-none{
    padding-top:0;
  }
}
.pb{
  &-xxs {
    padding-bottom: var(--space-v-xxs);
  }
  &-xs {
    padding-bottom: var(--space-v-xs);
  }
  &-sm {
    padding-bottom: var(--space-v-sm);
  }
  &-md {
    padding-bottom: var(--space-v-md);
  }
  &-lg {
    padding-bottom: var(--space-v-lg);
  }
  &-xl {
    padding-bottom: var(--space-v-xl);
  }
  &-xxl {
    padding-bottom: var(--space-v-xxl);
  }
  &-none{
    padding-bottom:0;
  }
}
.pl{
  &-xxs {
    padding-left: var(--space-h-xxs);
  }
  &-xs {
    padding-left: var(--space-h-xs);
  }
  &-sm {
    padding-left: var(--space-h-sm);
  }
  &-md {
    padding-left: var(--space-h-md);
  }
  &-lg {
    padding-left: var(--space-h-lg);
  }
  &-xl {
    padding-left: var(--space-h-xl);
  }
  &-xxl {
    padding-left: var(--space-h-xxl);
  }
  &-none{
    padding-left:0;
  }
}
.pr{
  &-xxs {
    padding-right: var(--space-h-xxs);
  }
  &-xs {
    padding-right: var(--space-h-xs);
  }
  &-sm {
    padding-right: var(--space-h-sm);
  }
  &-md {
    padding-right: var(--space-h-md);
  }
  &-lg {
    padding-right: var(--space-h-lg);
  }
  &-xl {
    padding-right: var(--space-h-xl);
  }
  &-xxl {
    padding-right: var(--space-h-xxl);
  }
  &-none{
    padding-right:0;
  }
}
